org.apache.ivy.plugins.repository

## Interface LocalizableResource

All Superinterfaces:
  Resource

All Known Implementing Classes:
  URLResource

    public interface LocalizableResource
    extends Resource

Resource which can be located locally

If local (checked via `Resource.isLocal()`), `getFile()` will return its local location, without any download or copy involved

### Method Summary

Methods
`java.io.File` `getFile()`

### Methods inherited from interface org.apache.ivy.plugins.repository.Resource

`clone, exists, getContentLength, getLastModified, getName, isLocal, openStream`

### Method Detail

#### getFile

    java.io.File getFile()

Returns:
  the local file of this resource.
Throws:
  `java.lang.IllegalStateException` - when `Resource.isLocal()` returns `false`